Attribute VB_Name = "OposPRN.bas"


Rem *///////////////////////////////////////////////////////////////////
Rem * OPOS "State" Property Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const OPOS_S_CLOSED = 1
Public Const OPOS_S_IDLE = 2
Public Const OPOS_S_BUSY = 3
Public Const OPOS_S_ERROR = 4


Rem *///////////////////////////////////////////////////////////////////
Rem * OPOS "ResultCode" Property Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const OPOS_SUCCESS = 0
Public Const OPOS_E_CLOSED = 101
Public Const OPOS_E_CLAIMED = 102
Public Const OPOS_E_NOTCLAIMED = 103
Public Const OPOS_E_NOSERVICE = 104
Public Const OPOS_E_DISABLED = 105
Public Const OPOS_E_ILLEGAL = 106
Public Const OPOS_E_NOHARDWARE = 107
Public Const OPOS_E_OFFLINE = 108
Public Const OPOS_E_NOEXIST = 109
Public Const OPOS_E_EXISTS = 110
Public Const OPOS_E_FAILURE = 111
Public Const OPOS_E_TIMEOUT = 112
Public Const OPOS_E_BUSY = 113
Public Const OPOS_E_EXTENDED = 114

Public Const OPOSERR = 100
Public Const OPOSERREXT = 200


Rem *///////////////////////////////////////////////////////////////////
Rem * OPOS "ResultCodeExtended" Property Constants
Rem *///////////////////////////////////////////////////////////////////

Rem * The following applies to ResetStatistics and UpdateStatistics.
Public Const OPOS_ESTATS_ERROR = 280
Rem * The following applies to CompareFirmwareVersion and UpdateFirmware.
Public Const OPOS_EFIRMWARE_BAD_FILE = 281


Rem *///////////////////////////////////////////////////////////////////
Rem * OPOS "OpenResult" Property Constants (added in 1.5)
Rem *///////////////////////////////////////////////////////////////////

Rem * The following can be set by the control object.
Public Const OPOS_OR_ALREADYOPEN = 301
Public Const OPOS_OR_REGBADNAME = 302
Public Const OPOS_OR_REGPROGID = 303
Public Const OPOS_OR_CREATE = 304
Public Const OPOS_OR_BADIF = 305
Public Const OPOS_OR_FAILEDOPEN = 306
Public Const OPOS_OR_BADVERSION = 307
Public Const OPOS_ORS_NOPORT = 401
Public Const OPOS_ORS_NOTSUPPORTED = 402
Public Const OPOS_ORS_CONFIG = 403
Public Const OPOS_ORS_SPECIFIC = 450


Rem *///////////////////////////////////////////////////////////////////
Rem * OPOS "BinaryConversion" Property Constants (added in 1.2)
Rem *///////////////////////////////////////////////////////////////////

Public Const OPOS_BC_NONE = 0
Public Const OPOS_BC_NIBBLE = 1
Public Const OPOS_BC_DECIMAL = 2


Rem *///////////////////////////////////////////////////////////////////
Rem * "CheckHealth" Method: "Level" Parameter Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const OPOS_CH_INTERNAL = 1
Public Const OPOS_CH_EXTERNAL = 2
Public Const OPOS_CH_INTERACTIVE = 3


Rem *///////////////////////////////////////////////////////////////////
Rem * OPOS "CapPowerReporting", "PowerState", "PowerNotify" Property
Rem * Constants (added in 1.3)
Rem *///////////////////////////////////////////////////////////////////

Public Const OPOS_PR_NONE = 0
Public Const OPOS_PR_STANDARD = 1
Public Const OPOS_PR_ADVANCED = 2

Public Const OPOS_PN_DISABLED = 0
Public Const OPOS_PN_ENABLED = 1

Public Const OPOS_PS_UNKNOWN = 2000
Public Const OPOS_PS_ONLINE = 2001
Public Const OPOS_PS_OFF = 2002
Public Const OPOS_PS_OFFLINE = 2003
Public Const OPOS_PS_OFF_OFFLINE = 2004


Rem *///////////////////////////////////////////////////////////////////
Rem * "CompareFirmwareVersion" Method: "Result" Parameter Constants
Rem * (added in 1.9)
Rem *///////////////////////////////////////////////////////////////////

Public Const OPOS_CFV_FIRMWARE_OLDER = 1
Public Const OPOS_CFV_FIRMWARE_SAME = 2
Public Const OPOS_CFV_FIRMWARE_NEWER = 3
Public Const OPOS_CFV_FIRMWARE_DIFFERENT = 4
Public Const OPOS_CFV_FIRMWARE_UNKNOWN = 5


Rem *///////////////////////////////////////////////////////////////////
Rem * "ErrorEvent" Event: "ErrorLocus" Parameter Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const OPOS_EL_OUTPUT = 1
Public Const OPOS_EL_INPUT = 2
Public Const OPOS_EL_INPUT_DATA = 3


Rem *///////////////////////////////////////////////////////////////////
Rem * "ErrorEvent" Event: "ErrorResponse" Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const OPOS_ER_RETRY = 11
Public Const OPOS_ER_CLEAR = 12
Public Const OPOS_ER_CONTINUEINPUT = 13


Rem *///////////////////////////////////////////////////////////////////
Rem * "StatusUpdateEvent" Event: Common "Status" Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const OPOS_SUE_POWER_ONLINE = 2001
Public Const OPOS_SUE_POWER_OFF = 2002
Public Const OPOS_SUE_POWER_OFFLINE = 2003
Public Const OPOS_SUE_POWER_OFF_OFFLINE = 2004

Public Const OPOS_SUE_UF_PROGRESS = 2100
Public Const OPOS_SUE_UF_COMPLETE = 2200
Public Const OPOS_SUE_UF_COMPLETE_DEV_NOT_RESTORED = 2205
Public Const OPOS_SUE_UF_FAILED_DEV_OK = 2201
Public Const OPOS_SUE_UF_FAILED_DEV_UNRECOVERABLE = 2202
Public Const OPOS_SUE_UF_FAILED_DEV_NEEDS_FIRMWARE = 2203
Public Const OPOS_SUE_UF_FAILED_DEV_UNKNOWN = 2204


Rem *///////////////////////////////////////////////////////////////////
Rem * General Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const OPOS_FOREVER = -1



Rem *///////////////////////////////////////////////////////////////////
Rem * Printer Station Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_S_JOURNAL = 1
Public Const PTR_S_RECEIPT = 2
Public Const PTR_S_SLIP = 4

Public Const PTR_S_JOURNAL_RECEIPT = &H3
Public Const PTR_S_JOURNAL_SLIP = &H5
Public Const PTR_S_RECEIPT_SLIP = &H6

Public Const PTR_TWO_RECEIPT_JOURNAL = &H8003
Public Const PTR_TWO_SLIP_JOURNAL = &H8005
Public Const PTR_TWO_SLIP_RECEIPT = &H8006


Rem *///////////////////////////////////////////////////////////////////
Rem * "CapCharacterSet" Property Constants (added in 1.1)
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_CCS_ALPHA = 1
Public Const PTR_CCS_ASCII = 998
Public Const PTR_CCS_KANA = 10
Public Const PTR_CCS_KANJI = 11
Public Const PTR_CCS_UNICODE = 997


Rem *///////////////////////////////////////////////////////////////////
Rem * "CharacterSet" Property Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_CS_UNICODE = 997
Public Const PTR_CS_ASCII = 998
Public Const PTR_CS_WINDOWS = 999
Public Const PTR_CS_ANSI = 999


Rem *///////////////////////////////////////////////////////////////////
Rem * "ErrorLevel" Property Constants (added in 1.1)
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_EL_NONE = 1
Public Const PTR_EL_RECOVERABLE = 2
Public Const PTR_EL_FATAL = 3


Rem *///////////////////////////////////////////////////////////////////
Rem * "MapMode" Property Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_MM_DOTS = 1
Public Const PTR_MM_TWIPS = 2
Public Const PTR_MM_ENGLISH = 3
Public Const PTR_MM_METRIC = 4


Rem *///////////////////////////////////////////////////////////////////
Rem * "CapXxxColor" Property Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_COLOR_PRIMARY = &H1
Public Const PTR_COLOR_CUSTOM1 = &H2
Public Const PTR_COLOR_CUSTOM2 = &H4
Public Const PTR_COLOR_CUSTOM3 = &H8
Public Const PTR_COLOR_CUSTOM4 = &H10
Public Const PTR_COLOR_CUSTOM5 = &H20
Public Const PTR_COLOR_CUSTOM6 = &H40
Public Const PTR_COLOR_CYAN = &H100
Public Const PTR_COLOR_MAGENTA = &H200
Public Const PTR_COLOR_YELLOW = &H400
Public Const PTR_COLOR_FULL = &H80000000


Rem *///////////////////////////////////////////////////////////////////
Rem * "CapXxxCartridgeSensor" and "XxxCartridgeState" Property Constants
Rem * (added in 1.5)
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_CART_UNKNOWN = &H10000000
Public Const PTR_CART_OK = &H0
Public Const PTR_CART_REMOVED = &H1
Public Const PTR_CART_EMPTY = &H2
Public Const PTR_CART_NEAREND = &H4
Public Const PTR_CART_CLEANING = &H8


Rem *///////////////////////////////////////////////////////////////////
Rem * "CartridgeNotify" Property Constants (added in 1.5)
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_CN_DISABLED = &H0
Public Const PTR_CN_ENABLED = &H1


Rem *///////////////////////////////////////////////////////////////////
Rem * "PageModeDescriptor" Property Constants (added in 1.9)
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_PM_BITMAP = &H1
Public Const PTR_PM_BARCODE = &H2
Public Const PTR_PM_BM_ROTATE = &H4
Public Const PTR_PM_BC_ROTATE = &H8
Public Const PTR_PM_OPAQUE = &H10


Rem *///////////////////////////////////////////////////////////////////
Rem * "PageModePrintDirection" Property Constants (added in 1.9)
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_PD_LEFT_TO_RIGHT = 1
Public Const PTR_PD_BOTTOM_TO_TOP = 2
Public Const PTR_PD_RIGHT_TO_LEFT = 3
Public Const PTR_PD_TOP_TO_BOTTOM = 4


Rem *///////////////////////////////////////////////////////////////////
Rem * "CutPaper" Method Constant
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_CP_FULLCUT = 100


Rem *///////////////////////////////////////////////////////////////////
Rem * "PageModePrint" Method: "Control" Parameter Constants (added in 1.9)
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_PM_PAGE_MODE = 1
Public Const PTR_PM_PRINT_SAVE = 2
Public Const PTR_PM_NORMAL = 3
Public Const PTR_PM_CANCEL = 4


Rem *///////////////////////////////////////////////////////////////////
Rem * "PrintBarCode" Method Constants:
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_BC_LEFT = -1
Public Const PTR_BC_CENTER = -2
Public Const PTR_BC_RIGHT = -3

Public Const PTR_BC_TEXT_NONE = -11
Public Const PTR_BC_TEXT_ABOVE = -12
Public Const PTR_BC_TEXT_BELOW = -13

Public Const PTR_BCS_UPCA = 101
Public Const PTR_BCS_UPCE = 102
Public Const PTR_BCS_JAN8 = 103
Public Const PTR_BCS_EAN8 = 103
Public Const PTR_BCS_JAN13 = 104
Public Const PTR_BCS_EAN13 = 104
Public Const PTR_BCS_TF = 105
Public Const PTR_BCS_ITF = 106
Public Const PTR_BCS_Codabar = 107
Public Const PTR_BCS_Code39 = 108
Public Const PTR_BCS_Code93 = 109
Public Const PTR_BCS_Code128 = 110
Public Const PTR_BCS_UPCA_S = 111
Public Const PTR_BCS_UPCE_S = 112
Public Const PTR_BCS_UPCD1 = 113
Public Const PTR_BCS_UPCD2 = 114
Public Const PTR_BCS_UPCD3 = 115
Public Const PTR_BCS_UPCD4 = 116
Public Const PTR_BCS_UPCD5 = 117
Public Const PTR_BCS_EAN8_S = 118
Public Const PTR_BCS_EAN13_S = 119
Public Const PTR_BCS_EAN128 = 120
Public Const PTR_BCS_OCRA = 121
Public Const PTR_BCS_OCRB = 122
Public Const PTR_BCS_Code128_Parsed = 123
Public Const PTR_BCS_RSS14 = 131
Public Const PTR_BCS_RSS_EXPANDED = 132

Public Const PTR_BCS_GS1DATABAR = 131
Public Const PTR_BCS_GS1DATABAR_E = 132
Public Const PTR_BCS_GS1DATABAR_S = 133
Public Const PTR_BCS_GS1DATABAR_E_S = 134

Public Const PTR_BCS_PDF417 = 201
Public Const PTR_BCS_MAXICODE = 202

Public Const PTR_BCS_DATAMATRIX = 203
Public Const PTR_BCS_QRCODE = 204
Public Const PTR_BCS_UQRCODE = 205
Public Const PTR_BCS_AZTEC = 206
Public Const PTR_BCS_UPDF417 = 207

Public Const PTR_BCS_OTHER = 501


Rem *///////////////////////////////////////////////////////////////////
Rem * "PrintBitmap" and "PrintMemoryBitmap" Method Constants:
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_BM_ASIS = -11

Public Const PTR_BM_LEFT = -1
Public Const PTR_BM_CENTER = -2
Public Const PTR_BM_RIGHT = -3

Public Const PTR_BMT_BMP = 1
Public Const PTR_BMT_JPEG = 2
Public Const PTR_BMT_GIF = 3


Rem *///////////////////////////////////////////////////////////////////
Rem * "RotatePrint" Method: "Rotation" Parameter Constants
Rem * "RotateSpecial" Property Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_RP_NORMAL = &H1
Public Const PTR_RP_RIGHT90 = &H101
Public Const PTR_RP_LEFT90 = &H102
Public Const PTR_RP_ROTATE180 = &H103

Public Const PTR_RP_BARCODE = &H1000
Public Const PTR_RP_BITMAP = &H2000


Rem *///////////////////////////////////////////////////////////////////
Rem * "SetLogo" Method: "Location" Parameter Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_L_TOP = 1
Public Const PTR_L_BOTTOM = 2


Rem *///////////////////////////////////////////////////////////////////
Rem * "TransactionPrint" Method: "Control" Parameter Constants (added in 1.1)
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_TP_TRANSACTION = 11
Public Const PTR_TP_NORMAL = 12


Rem *///////////////////////////////////////////////////////////////////
Rem * "MarkFeed" Method: "Type" Parameter Constants (added in 1.5)
Rem * "CapRecMarkFeed" Property Constants (added in 1.5)
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_MF_TO_TAKEUP = 1
Public Const PTR_MF_TO_CUTTER = 2
Public Const PTR_MF_TO_CURRENT_TOF = 4
Public Const PTR_MF_TO_NEXT_TOF = 8


Rem *///////////////////////////////////////////////////////////////////
Rem * "ChangePrintSide" Method: "Side" Parameter Constants (added in 1.5)
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_PS_UNKNOWN = 0
Public Const PTR_PS_SIDE1 = 1
Public Const PTR_PS_SIDE2 = 2
Public Const PTR_PS_OPPOSITE = 3


Rem *///////////////////////////////////////////////////////////////////
Rem * "StatusUpdateEvent" Event: "Data" Parameter Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const PTR_SUE_COVER_OPEN = 11
Public Const PTR_SUE_COVER_OK = 12
Public Const PTR_SUE_JRN_COVER_OPEN = 60
Public Const PTR_SUE_JRN_COVER_OK = 61
Public Const PTR_SUE_REC_COVER_OPEN = 62
Public Const PTR_SUE_REC_COVER_OK = 63
Public Const PTR_SUE_SLP_COVER_OPEN = 64
Public Const PTR_SUE_SLP_COVER_OK = 65

Public Const PTR_SUE_JRN_EMPTY = 21
Public Const PTR_SUE_JRN_NEAREMPTY = 22
Public Const PTR_SUE_JRN_PAPEROK = 23

Public Const PTR_SUE_REC_EMPTY = 24
Public Const PTR_SUE_REC_NEAREMPTY = 25
Public Const PTR_SUE_REC_PAPEROK = 26

Public Const PTR_SUE_SLP_EMPTY = 27
Public Const PTR_SUE_SLP_NEAREMPTY = 28
Public Const PTR_SUE_SLP_PAPEROK = 29

Public Const PTR_SUE_JRN_CARTRIDGE_EMPTY = 41
Public Const PTR_SUE_JRN_CARTRIDGE_NEAREMPTY = 42
Public Const PTR_SUE_JRN_HEAD_CLEANING = 43
Public Const PTR_SUE_JRN_CARTRIDGE_OK = 44

Public Const PTR_SUE_REC_CARTRIDGE_EMPTY = 45
Public Const PTR_SUE_REC_CARTRIDGE_NEAREMPTY = 46
Public Const PTR_SUE_REC_HEAD_CLEANING = 47
Public Const PTR_SUE_REC_CARTRIDGE_OK = 48

Public Const PTR_SUE_SLP_CARTRIDGE_EMPTY = 49
Public Const PTR_SUE_SLP_CARTRIDGE_NEAREMPTY = 50
Public Const PTR_SUE_SLP_HEAD_CLEANING = 51
Public Const PTR_SUE_SLP_CARTRIDGE_OK = 52

Public Const PTR_SUE_IDLE = 1001


Rem *///////////////////////////////////////////////////////////////////
Rem * "ResultCodeExtended" Property Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const OPOS_EPTR_COVER_OPEN = 201
Public Const OPOS_EPTR_JRN_EMPTY = 202
Public Const OPOS_EPTR_REC_EMPTY = 203
Public Const OPOS_EPTR_SLP_EMPTY = 204
Public Const OPOS_EPTR_SLP_FORM = 205
Public Const OPOS_EPTR_TOOBIG = 206
Public Const OPOS_EPTR_BADFORMAT = 207
Public Const OPOS_EPTR_JRN_CARTRIDGE_REMOVED = 208
Public Const OPOS_EPTR_JRN_CARTRIDGE_EMPTY = 209
Public Const OPOS_EPTR_JRN_HEAD_CLEANING = 210
Public Const OPOS_EPTR_REC_CARTRIDGE_REMOVED = 211
Public Const OPOS_EPTR_REC_CARTRIDGE_EMPTY = 212
Public Const OPOS_EPTR_REC_HEAD_CLEANING = 213
Public Const OPOS_EPTR_SLP_CARTRIDGE_REMOVED = 214
Public Const OPOS_EPTR_SLP_CARTRIDGE_EMPTY = 215
Public Const OPOS_EPTR_SLP_HEAD_CLEANING = 216



Rem */////////////////////////////////////////////////////////////////
Rem * "StatusUpdateEvent" Event Constants
Rem *///////////////////////////////////////////////////////////////////

Public Const CASH_SUE_DRAWERCLOSED = 0
Public Const CASH_SUE_DRAWEROPEN = 1